2020-01-21 21:59 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002742SkaermtroldenHugo[All Projects] Generalpublic2020-01-13 00:44
Reportertomse 
Assigned ToCFOUProject InfoSkærmtrolden Hugo (SilverRock)
http://www.whdload.de/games/SkaermtroldenHugo.html
 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionreopened 
Summary0002742: Skærmtrolden Hugo - Access Fault
DescriptionThe game Skærmtrolden Hugo won't start.

With default options I get

Exception "Access Fault" $B008
PC = $B082
Byte read from $FFFCB58


Setting NoMMU
I get
Exception "line 1010 Emulator" $28
at $80ba occured
TagsNo tags attached.
MachineA1200
CPU68030
CPUSpeed50
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem64 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad17.1
imported
Attached Files

-Relationships
+Relationships

-Notes

note ~0003114

tomse (reporter)

Last edited: 2013-05-12 00:03

View 3 revisions

I've tested this in an other A1200

OS31
Kick 3.0
68030EC @ 28MHz
4MB Fast Ram
Hence there's no MMU I get the same response as above with "NoMMU"


I've tested this with WHDload 17.0 too.

I couldn't find this title in the list of games so added it here.

it's called "Skærmtrolden Hugo" in the install list. it's the 3 disk version, not to be confused with "Hugo" 8disk version or the other Hugo's


Oh forgot.. Game was created with 17.0

note ~0003124

CFOU (developer)

WARNING there are 3 differents games.
 - danish and german verions supported (Mix between Hugo - På Nye Eventyr 1&2
http://www.whdload.de/games/Hugo.html

 - danish and german verions supported (Hugo - På Nye Eventyr)
http://www.whdload.de/games/Hugo1.html

 - danish and german verions supported (Hugo - På Nye Eventyr 2)
http://www.whdload.de/games/Hugo2.html

are you sure you had used good installer (and use original game version and not cracked;))?

note ~0003127

tomse (reporter)

http://www.whdload.de/games/SkaermtroldenHugo.html

it's easy to get mixed up in the different versions..
I made the mistake myself to get the first one on the list..
but the diskette dumper errored.. then I noticed it was the wrong set..
as it's called Skærmtrolden Hugo

The Monitor/Screen-troll Hugo (if you are interested in a rough translation :-))

note ~0003138

CFOU (developer)

not bug just bad install choose by user

note ~0003139

tomse (reporter)

Last edited: 2013-05-16 22:04

View 2 revisions

It's not a bad install by user..
I tried to explain that it's easy to be confused..

the installer used is the correct one, so is the game.

just for reference as you might have missed this in the first place

I quote myself : it's called "Skærmtrolden Hugo" in the install list. it's the 3 disk version, not to be confused with "Hugo" 8disk version or the other Hugo's

note ~0003140

CFOU (developer)

Last edited: 2013-05-17 09:22

View 2 revisions

Installer is done for original version so it can crash with cracked version... and it will not updated to support cracked version

If you use orignal version can you post a link to download your installed vresion for test and to compare with mines?

modified:
have you try with NoCahce tooltype?

note ~0003146

tomse (reporter)

I've just tested with NoCache same result

and no, it's the original disks, unless the previous owner overwrote these disks with a pirated version, which I hardly doubt

Download here:
https://www.box.com/s/uwro13i7wrp3ggjm6xjc

note ~0003148

CFOU (developer)

thanks i will compare

note ~0003149

CFOU (developer)

Last edited: 2013-05-17 14:19

View 2 revisions

i think you are unsupported version or damaged version (all checksum disk images checksum are differents)

Is it German version?

PAtch is only for Finnish language version

but it's seems game crash because some data are damaged...

i will verify if rawdic imager use checksum control..

note ~0003150

tomse (reporter)

IT's the danish version of the game.. (the original title is danish)
I thought it was the danish installer because of the title, but now I see
it says "finnish supported", I'm not entirely sure what that means other than "finnish is also supported"

The game works perfectly when playing the game the old fashion way

note ~0003151

CFOU (developer)

good news if you can boot on game

i have verify rawdic imager, it use checksum (so normaly your game are not corrupt)

it will be an unsupported version

i will try this w-e to support it;)

note ~0003152

tomse (reporter)

thanks a lot :-)

note ~0003153

CFOU (developer)

it's curious it seems it's same version but corrupted

perhaps my rawdic imager is bugged....

can you make Mfm disk image using Wwarp or mfmwarp tool and send me the result?

i need to test if rawdic imagers works fine

note ~0003154

tomse (reporter)

just a small update..
mfmwarp said there was no disk in device 0.

using wwarp128 now.. I'll post as soon as they are done

note ~0003155

CFOU (developer)

ok i am just finishing to test installer with my mfm version

it works fine here... disk image are good chlsum and patch works

your mfm version is requiered for more investigations

note ~0003156

CFOU (developer)

track disk protection use several synchro word

perhpas some other version use another sync but it's curious because checksum is normaly tested (but perhaps my imager is bugged...

note ~0003157

tomse (reporter)

wwarp128 dumped files
https://www.box.com/s/k9yjnst2qzftsu6cv0iu

note ~0003158

Retroplay (reporter)

Just a little addition to the "debate".

The 3 disk version is danish only.
I'm pretty sure this version, Skaermtrolden Hugo (3 disk), never was released outside of Denmark.

When Killergorilla added this game to his site ages ago, it was mislabeled as being finnish (so is the included WHDLoad Readme) when it in fact is the danish version.

Screenshot from installed danish version: http://imgur.com/J5JuuhH
Preinstalled danish version: http://www.sendspace.com/file/r33so7

I have to use NoCache on my A1200+ACA1232/33, if not I get random access faults.

note ~0003164

CFOU (developer)

>Retroplay
Thanks for information
ps: Tomse have not cache problem:
    -he use like me 68030 (nocache not requiert)
    -on his preinstalled version, disk images seem corrupted

>Tomse
I will retry to image disks using your wwwp to test imager

note ~0003165

Retroplay (reporter)

Yes, I tried to install the game using his wwp images.
It failed to install on sector 66 on disk 2.

I use a 68030 too btw.
ACA1232/33 = 68030, 33Mhz, 128mb.

On my other vanilla A1200 (68EC020 14Mhz + 4/8mb) the game works fine as is (ie no special tool types needed).

note ~0003167

CFOU (developer)

Last edited: 2013-05-17 20:24

View 2 revisions

>Tomse&RetroPLay
imager use special decoder for piste 66 of disk 2 perhaps it my version not clean

>Tomse
Using your WWP
Image of disk 1 is not corrupted and game can be launch not!!!
But rawdic can't image disk 2 (and perhaps 3)

Have you try to re-install?

How have you done to have corrupted disk images? Rawdic have checksum and you can't install your disk 2 with rawdic!!!?

Have you try to dump your version using SPS/CAPS to send to SPS team? (http://www.softpres.org/)(
indeed team will can send to you IPF files of your 3 disks

PS: i will soon post new rawdic imager for test re-installation

note ~0003168

CFOU (developer)

Last edited: 2013-05-17 19:27

View 3 revisions

1) Can you try to image your physical 3 disks using following imager?
http://mantis.whdload.de/file_download.php?file_id=250&type=bug

Ps:
New imager is tested with success with your WWP files.
Indeed I can create disk 1 & 3 images with good checksums.

but disk2 wwp have corrupted on track 78 and i must skip it
(but is perhaps temporary read bug, indeed MFM format use big track length so some drive can have some difficulties to read old floppy disks...

2) Can you image again you( disk 2 with WWP to compare witth previous track 78?

note ~0003169

tomse (reporter)

Hey guys.

I'll see if I can dump later today.

apparently there seems to be issues with disk 2 track 66.. I've had multiple disks like that.

indeed I did get a checksum error when trying to make the install, but ejecting the disk, and reinserting it again made a good result..

I've sent disk 1 of the stream files (kryoflux) to the sps team and awaiting their answer..

it's hard to get a good working copy of this game as the disks are usually bad (I think I've tried 3-4 sets by now)

I'll get back to you either today or tomorrow with a new copy of disk 2..

note ~0003171

CFOU (developer)

Last edited: 2013-05-17 20:09

View 3 revisions

disk 2 track 66 problem was caused by MY old imager it's fixed....

your disk 2 must be good with some retries (track78 must be imageable)
pS:i will update installer to force many retries to help you to image(soon link for new installer will be poster)

WARNING:!!!!!!you MUST NOT remove disk!!! is perhaps reasons why your images was corrupted!!!

indeed if you remove physically disk of drive RAWDic tool can lost track position!!!!!! now i undersand why your images was curiously corrupted !!!!;)

note ~0003172

CFOU (developer)

Last edited: 2013-05-17 20:11

View 3 revisions

Can you test new installer script?
http://mantis.whdload.de/file_download.php?file_id=251&type=bug

new features:
- force 50 retries
  (i hope it will help you=>Don't remove disk if checksum error!!!)
- you can skip bad track using 'Ignore' option
 (but it's just for test other tracks=> if you skip of course image will be corrupted and as data as crucnhed with PowerPAcker your will have crash playing game)

note ~0003188

tomse (reporter)

Last edited: 2013-05-18 09:47

View 2 revisions

I used the new beta installer..
DIC copy went fine, I got no checksum error.

Download here (still same issue)
https://www.box.com/s/rp9cdyrl3kmprwrq8vmx

hmm just noticed that RetroPlays version is 1.8 Megs, whereas mine is ~300Kb

note ~0003190

tomse (reporter)

ok this is weird..

I made a new install on my somewhat unstable A1200 (the one with kick 3.0, 030@28MHz NoMMU).

and here's the result..
https://www.box.com/s/788ukvy8ctcuffbfbuqd

and it's actually working now.

now I need to figure out why there are differences

note ~0003192

CFOU (developer)

game can launch but your images are again corrupts... so perhaps game will crash after....

have you again removed disk when you had checksum error?
=> you can NOT do that if not some tracks are badly imaged...
=> you must use ONLY 'retry' option

It's curious if i use your WWP of Disk 1 & Disk 2 then disk images are correct checksums!!!!(indeed you can select in rawdic directly wwp/adf/mfm files if you are installed trackwarp.library)

so only disk2 have checksum error on track 78 and is corrupt

in fact i think the cause is my Rawdic imager for darkness reasons it's work good with WWP&MFM disk images but it have difficulty with real floppy disk :(

I think i caught fix it using IPF files because IPF contain info about disk architecture so on WInuae i will can test to image like real disk your 3 floppys disks

So i need IPF file to try to fix my rawdic imager:

1) Can you contact SPS team and sent them your dumped disks (or post it here i caught contact directly Istvan (IFW) to ask if he can do quickly IPF files)

2) can you explain to me step my step whats's append when you image your disks with rawdic?


3) have you remove disk when you have checksum error?

note ~0003193

tomse (reporter)

I did not remove any of the disks..
There were no checksum errors when dumping the disks.
thus I didn't need to click retry/ignore.

the installer went through perfectly (I did not keep an eye on the track copy)
it did so on both A1200, but only on one did the installation work.

There are no IPF files of Hugo, the SPS team have disk 1 (only disk 1 for now as that was the only thing they requested).

did you check both installs ?

It seems there is a noticable difference in the sizes between one install and the other. the 2 last ones are made with the 1.1beta installer.

note ~0003194

CFOU (developer)

Last edited: 2013-05-18 15:14

View 2 revisions

yes i had compared both...and both are corrupted but second less than first...

I don't understand why if you create rawdic disk image using real floppy disks datas are corrupts

and i you create rawdic image using WWP or MFM files then disks images are correct!!!

I Will again look my imager

Can you contact SPS team and ask them than i need IPF (same beta) to test my raxdic imager?

What is your SPS contact?

note ~0003195

CFOU (developer)

Last edited: 2013-05-18 15:39

View 2 revisions

can you test new rawdic beta 2 installer?
here:
http://mantis.whdload.de/file_download.php?file_id=255&type=bug

beta 2
- code cleaded
- not needed decode routine removed => perhaps caused you trouble
=> tested with success with your WWP files (of course always disk 2 track 78 corrupt)

note ~0003197

tomse (reporter)

There exists no IPF files of this game, so I can't request anything from SPS yet

the guy who answered me on my ticket was Christian Bartsch


I get a lot of checksum errors on Disk 1 (track 33 and 35, I stopped here)
so I didn't continue.

note ~0003198

CFOU (developer)

ok i'll try this evening or tommorow to re-write fully imager... and add trainer for futur test...

note ~0003199

CFOU (developer)

Last edited: 2013-05-18 17:21

View 3 revisions

ok i will change investigation technique :)

can you dowload it:
http://mantis.whdload.de/file_download.php?file_id=256&type=bug

and launch Test1 and Test2 imagers (just double click on left mouse button on both icons)

Just disk 1 is requiered

1) Test1 will create MFM datas files of disk 1 using synchro $4489 for track 1 to 10 and it will create 10 files named:
 - Txx-4489.bin

2) Test2 will create MFM datas files of disk 1 using synchro $8944 for track 1 to 10 and it will create 10 files named:
 - Txx-8944.bin

3) can you send to me the 20 files created?

4) i will compare your files with files created using WWP files

note ~0003200

CFOU (developer)

Last edited: 2013-05-18 18:00

View 2 revisions

I think to have found a solution

but i need another test to confirme
can also use it to image 3 disks?
http://mantis.whdload.de/file_download.php?file_id=257&type=bug

3 files will be created:
ListSyncD1.bin
ListSyncD2.bin
ListSyncD3.bin


Can you done 3 previous tests and send to me le 23 created files (ListSuncDx.bin & Txx4489.bin and Txx8944.bin?

note ~0003203

CFOU (developer)

here last patch and imager;
http://mantis.whdload.de/file_download.php?file_id=259&type=bug
can you test it?

new feature:
Slave
-----
TRainer added
CUSTOM1=1 for unlimited lives
CUSTOM1=2 for unlimited time
CUSTOM1=3 for unlimited lives&time

Islave (rawdic)
---------------
- fully rewritten
- now good sync is looking for (before test between $4489 & $8944

note ~0003205

tomse (reporter)

I've made all 3 tests.
Tests 1 and 2 I did on both Amigas.. I've called them Blizz030 (as in Blizzard 1230Mk IV) and ec030 as the 030 ec.

it is the ec030 machine that makes the working Hugo.

I believe the Blizz030 is an Escom model, and the ec030 is a Commodore model. This might be the reason why I get a working and non working version. when "installing" hugo.

Doing the Sync tests on the EC machine caused a lot of checksum errors.
all the other tests went fine.


https://www.box.com/s/7g7i3t7h4utijuypvvau

note ~0003208

CFOU (developer)

Last edited: 2013-05-19 13:01

View 2 revisions

First i thanks to you for your tests

i'am partial good news:
1) all disk Images in archive "ListSync-Blizsar030" are good so game can run fine
2) all archive contain good sync list
3) but all disk image are bad in archives 'ListSync-EC30' and "HUgo-beta3"

Have you test disk images in archive "ListSync-Blizsar030" on your both amiga?
Normally it works on both?


to create "HUgo-beta3" have you use Blizzard030 config or other?

note ~0003209

CFOU (developer)

have you sure one of your drive is not bad...

hugO use big lengh track

perhaps you drive can again red normal length track but not some protection..

escom driver has known to have diskchange problem

note ~0003210

tomse (reporter)

Last edited: 2013-05-19 14:24

View 4 revisions

The Blizzard030 machine is most likely an Escom.
and the EC030 is the Commodore.

The HugoBeta3 was made on the Commodore model
which is the one that you say generates errors

I can try and make a new HugoBeta3 on the Escom machine.
I'll post this in a few

EDIT: when doing the SyncList, the DIC said Beta2, I can see the installer is Beta3

Updated: https://www.box.com/s/trwsiohnwor7pogkkhld
This version won't run on the same amiga it was installed on

note ~0003211

CFOU (developer)

Last edited: 2013-05-19 16:26

View 3 revisions

this version is totally corrupt and disk.3 file is missing....

how have you made good disk images version in archive named ListSync-Blizzar030?

can you retry with same technic to see if it's temporary success but using last imager in following archive :
http://mantis.whdload.de/file_download.php?file_id=259&type=bug

EDITED:
Do you use last RAWDIC version?

note ~0003213

tomse (reporter)

I'm not quite sure what happend.. though 2 possibilities are there..
out of space on my CF card (where I packed to), or a problem with my card reader.

I've repacked the files and uploaded again

https://www.box.com/s/b0mibyddjq9n4w34wobm

the installer uses is the beta3 installer.

I thought the RawDic came with the installer program?
in this case I didn't use the latest rawdic. I made a brief search on the site and couldn't find a new version in these past days.

note ~0003214

CFOU (developer)

i test you disk image is badd because it seems many track are not decoded (empty datas)

have you use 'ignore' option?

if not i will looks my imager perphas last version is bas but it's curious if i use it with my old MFM images or your WWP images it's works fine...

i am not very much free tiimes today bu i wil try this evening:
1) verify rawdic imager (again)
2) test your raw datas of test 1 & 2 to see if y can done good decoded tracks

regards

note ~0003215

tomse (reporter)

I didn't make a new install as I already did install it.. just the package was bad..

But this version is the Escom model, and Escom made a small hack on the motherboard to be able to fit PC drives instead.

I've heard rumours that some trackdisk disks won't work on this model due to this hack.

Though the game is playable from diskettes on this model.

I have no idea how I see good/bad tracks other than I can run the Installer again. but the Installer runs find on both models.
I can see it's the Beta3 version by the added Custom (trainer) fields.

note ~0003216

CFOU (developer)

perhaps problem is not my imager but RAWDIC which works badly on Escom drive...

i'll verify if your raw datas of test1&2 are correct this evening

if all are corrects so problem is my imager

if not so problem is before:
- or drive is damaged or is dirty and must be cleaned
- or rawdic can read correctly datas on your disk (perhaps ESCOM pc)

rawdic use standard trackdisk, my imager don't use original game trackdisk loaded normaly for better compatibility (only decode routine is the slave)...

note ~0003220

CFOU (developer)

sorry no enaouth free times today for more investigatiuon :(

note ~0003221

tomse (reporter)

No worries, there's no deadline to reach :-)

note ~0003223

CFOU (developer)

quickly tested your MFM datas created be RAWDIC of 10 first track (Blizzard030)
-> all 10 tracks are goodly decode!!!

i will test this eveing MFM created on you EC030 to compare.....

ps:
first conclusion is that on your Blizzard030 configuratio Rawdic had readed with success first 10 tracks... problem is perhaps on others tracks on in rawdic slave...

note ~0003224

tomse (reporter)

That could be possible.

I'll gladly make more test files for you, let me know if/how/which etc

note ~0003230

CFOU (developer)

Last edited: 2013-05-22 15:21

View 2 revisions

your MFM datas created be RAWDIC of 10 first track (EC030)
-> all 10 tracks are goodly decode TOO using rawdic Beta 3!!!

i will re-verify again my islave....

have you already known similar bug on your configuration using RAwdic?

note ~0003233

CFOU (developer)

hi

can you test rawdic imager B4& B5 here and send to me in both case disk images created?
(with precision if they are created with B4 or B5 and on 030 or EC030)
http://mantis.whdload.de/file_download.php?file_id=264&type=bug

ps: one of the rawdic version freeze all workbench tasks during image creation process (perhpas a tools installed cause trouble during process (if it's the case now it will work)

note ~0003246

tomse (reporter)

https://www.box.com/s/k51oy7o2i3qtbklni6w4

there you go :_)

The one called Commodore is with the EC030 accelerator
the Escom is with the Blizzard MK IV

I thought it more sense to separate those names than the accelerator

note ~0003248

CFOU (developer)

Last edited: 2013-05-23 21:25

View 2 revisions

good new and bad News!
 
*good new
 on Commodore=>all disk images are good!! with beta 4&5
 
*bad new on escom
 beta 4&5 create exactly same disk image but bad...
 indeed some tracks are good but many are empty (contain only zero, it's for that packed datas are small...)
 

so in my oppinion it's you escom drive which incomptable with rawdic => my islave decoder is good

if you use commodore drive you can install game and test slave because image disks will be godly created

On Escom have you some chesksum errors and skip tracks?
 
it's seems rawdic can read curiously some track on escom bad drive. some good and onter bad....

i'll send to you another test but only with some track to test on escom drive

note ~0003252

CFOU (developer)

Last edited: 2013-05-24 00:54

View 3 revisions

Hi


can you test it only disk 1 and only on ESCOM amiga?
http://mantis.whdload.de/file_download.php?file_id=269&type=bug

and of course can you post created files...

with this files i will test track by track if raw datas are good and if mfm datas are correctly decoded

ps: all raw datas of disk 1 will be readed and saved in one file by track
so you must send to my all tx.bin files created (160 files!!)

note ~0003253

tomse (reporter)

it's pretty great to have this tested thoroughly :-)

https://www.box.com/s/wp2bkdes6jrrkgjsmudt

as I remember it, the Beta3 with the trainers was working fine, and can be bumped to a release then?

note ~0003254

CFOU (developer)

I'm going crazy all the data look good :(

can you test exactly this imager it's same but with decode mfm code added (disk1 only on escom)?
http://mantis.whdload.de/file_download.php?file_id=270&type=bug

of course cna you send to me the result...

note ~0003255

tomse (reporter)

sure here you go :-)

https://www.box.com/s/twsp7yz2y4cgu1yhkm8i

note ~0003256

CFOU (developer)

curiously all tracks was good!!

but many was twisted because i have include a bug and others missing :(:(

it's fixed and i have tested last extract tools

now it's not bugged, i can extract all tracks and rebuild after a good disk image

sorry but i must ask 'again' to you to extract disk 1 tracks files on escom amiga with this tools:
http://mantis.whdload.de/file_download.php?file_id=271&type=bug

after, i will test all exctracted track (comparing with good tracks) and try to rebuuild disk file to see if it's good...

note ~0003257

tomse (reporter)

Don't worry about asking me making dumps.. I'm glad to do it :-)

https://www.box.com/s/bmiygmusl67fbwi5di6r

note ~0003258

CFOU (developer)

created image is good!!!!

have use sure to have use escom?

note ~0003259

CFOU (developer)

Last edited: 2013-05-25 00:06

View 2 revisions

so can you test on diks 1 with escom:
http://mantis.whdload.de/file_download.php?file_id=272&type=bug

it's exactly same previous (working)

but a disk file image will be automatically creaded an not extracted tracks...

can you send me created file? normaly i must be good

note ~0003260

tomse (reporter)

Thats really good news :-)
Will there be 2 versions then ? one for Commodore and one for Escom ?

https://www.box.com/s/dp38py94oza6bp61xc0a

note ~0003261

CFOU (developer)

:( now it's bad again..... i use exacly same code...

just change:
first good case, i Use own filelist to extract tracks

second bad i use autamatic filelist... i am no control and i can"t cause trouble... it's never cause trouble

so it's must be a temporary problem...

can you retry last test to compare?

have you installed an memory manager patch which cause trouble to rawdic(like MCP or poolmem)?

have you done something different between test3 TRI and TEST3 QUA?

note ~0003262

tomse (reporter)

Last edited: 2013-05-25 14:00

View 2 revisions

I haven't installed a memory manager (that I know of) but I'll take a look.
There's something called PatchRam that I've just removed.

only differences between the 2 is that I've turned off the amiga

I'm dumping the disk again in this moment

edit: new one
https://www.box.com/s/d4k293ihq3wo9ik1l0y3

note ~0003263

CFOU (developer)

bad as previous....

i don't understand..

have you sure TEst3 TRi was done on escom and not commodore?

Can you test again previous test (test3 TRi) on escom to extract again all tracks?

but unfortunately, I can not take care of the problem before next Thursday at the earliest because I have to be away from home for professional reasons.

note ~0003264

CFOU (developer)

Last edited: 2013-05-25 20:06

View 2 revisions

http://mantis.whdload.de/file_download.php?file_id=273&type=bug
just another test (test3 quinter):
now i don't use automatic file list to create disk.1

note ~0003265

tomse (reporter)

Last edited: 2013-05-25 22:36

View 2 revisions

sure :-)

I'll be away myself during the week. and home thursday.

yes. done on Escom machine.

what I can try is to load wb without startup-sequence too..
posting the result in a few

edit:
https://www.box.com/s/hd43sx4xagp3dwhpldnt

note ~0003266

tomse (reporter)

As a side note
The game doesn't seem to want to boot (from diskette) from any of the A1200's. only A500
this could be kickstart related, as I haven't tested it in other machines

note ~0003268

CFOU (developer)

it's totally crazy

if i make disk.1 using extracted tracks by Test3 TRI image is good!!!

if i use filelist option automatic or homemade... it's bad (test3 QUA)

for darkness reasons perhaps your memory memory is corrupted on escom in a cas and not other...

i don't understand

note ~0003269

CFOU (developer)

i have compared good and bad disk.1 image

all data good from offset 0 to $9200 all others datas is bad

2 remarks:
- datas are corrupted not at the start of a track but in middle of track 6
- all datas are bad after offset $9200
- bad datas contains some of your workbench datas!!!!

so in my opinion you are a bad memory manager installed (as poolmem) or on your escom configuraiton your memory is physical damaged or you are particular memory configuration.

what is you type of fast memory on escom? where is connected (Blizzard/pcMCIA port)?

note ~0003270

CFOU (developer)

can you try it?
http://mantis.whdload.de/file_download.php?file_id=274&type=bug


after i am no idea..

note ~0003272

tomse (reporter)

I'll only be able to test friday..

The mem is on the blizzard accelerator

and other than the earlier mentioned mem file I don't remember to have other..

I only checked startup+sequence.. I just remembered there might be a user-startup.

I'll check this when I get home friday.

note ~0003273

CFOU (developer)

tools like poolmem are launched in user-startup or startup-sequence

but there are perhaps more simple solution...

have you installed same version of rawdic on your both configurations?

Have you installed last version of rawdic?

if not try to install last:
http://www.whdload.de/whdload/RawDIC46.lha

note ~0003280

tomse (reporter)

I've just tested my Escom, and it has the rawdic 46 build 120 installed.

there is a xfdpatch in the user-startup, that and MUI.
the rest of user-startup/startup-sequence is pretty basic, mostly assigns.

I've removed the xfdpatch from the startup and made a new dump

There are 2 versions, cold and warm boot. Warm boot is a warm boot after removing xfdpatch, and coldboot has been powered off for > 30 secs before dumping.

https://www.box.com/s/yxczmiap8z9g1jdgm3p4
https://www.box.com/s/r0onj2rtuwx5hmlt594h

note ~0003281

tomse (reporter)

I was thinking.. since there only seems to be trouble with Escom.
can you make a release of the Beta3 installer with a side not that it might not work on an Escom.

note ~0003282

CFOU (developer)

both last disk.1 are bad too :(

can you test it's last test4 (an unneeded code removed and cleaned imager)?
http://mantis.whdload.de/file_download.php?file_id=274&type=bug

>can you make a release of the Beta3 installer with a side not that it might not work on an Escom.

i don't understand exactly what you want

note ~0003283

tomse (reporter)

What I mean is: the Beta3 installer that you made (with the trainer) was working from the Commodore machine. So that one can be released, but just a note to tell people that the Escom might not work.

test 4 here :-)
https://www.box.com/s/uwved4glg3swk0zu4r1t

note ~0003285

CFOU (developer)

Last edited: 2013-05-31 19:35

View 2 revisions

ALL BAD AGAIN...

curiously all 3 disk image are food for 5 first track and bad in midle of track 6!!!

all datas after ofset $9200 are corrupted previous are correct!!

it's not sence for me..

note ~0003286

CFOU (developer)

ok so i will release soon patch new patch...

note ~0003287

tomse (reporter)

I wonder if the escom drive gets a little de-aligned when making track files like that, where on the commodore model it doesn't ?

Anyway, I appreciate all the time that you've spent trying to fix this issue.

If you are willing to do more tests, I'm here, but I'm worried about taking too much of your time :-)

note ~0003334

CFOU (developer)

JUST LITTLE QUESTION

Have you dump you gmae to SPS?

note ~0003335

tomse (reporter)

They asked for Disk1. and they have it.

but I haven't heard anything from them after my upload of this disk to them, neither have they responded to my "bump" as I asked for a status.

note ~0003337

CFOU (developer)

sorry i had already ask it to you?

i will wait for ipf for more inverstigation

note ~0003338

tomse (reporter)

but aren't the dumps from the Commodore good, compared to the escom dumps ?

note ~0003339

CFOU (developer)

yes but actually i don't undersant why in rare case escom can 't decide it fine...

a friend to me have escom amiga 060 in tower.

I will test on this config but i don't know again when...

So i will be sure it's cause by escom and not by a configuration problem on you ESCOM

note ~0007648

CFOU (developer)

normaly fixed by last patch but you must install game again because you disk images are corrupted
+Notes

-Issue History
Date Modified Username Field Change
2013-05-11 23:39 tomse New Issue
2013-05-11 23:42 tomse Note Added: 0003114
2013-05-12 00:01 tomse Note Edited: 0003114 View Revisions
2013-05-12 00:03 tomse Note Edited: 0003114 View Revisions
2013-05-15 17:03 CFOU Note Added: 0003124
2013-05-15 17:03 CFOU Assigned To => CFOU
2013-05-15 17:03 CFOU Status new => assigned
2013-05-15 22:05 tomse Note Added: 0003127
2013-05-16 21:37 CFOU Note Added: 0003138
2013-05-16 21:37 CFOU Status assigned => closed
2013-05-16 21:37 CFOU Resolution open => no change required
2013-05-16 22:03 tomse Note Added: 0003139
2013-05-16 22:03 tomse Status closed => feedback
2013-05-16 22:03 tomse Resolution no change required => reopened
2013-05-16 22:04 tomse Note Edited: 0003139 View Revisions
2013-05-16 22:16 CFOU Note Added: 0003140
2013-05-17 09:22 CFOU Note Edited: 0003140 View Revisions
2013-05-17 09:23 CFOU Status feedback => assigned
2013-05-17 09:25 CFOU Project WHDLoad => Hugo
2013-05-17 12:30 CFOU Project Hugo => SkaermtroldenHugo
2013-05-17 13:22 tomse Note Added: 0003146
2013-05-17 13:50 CFOU Note Added: 0003148
2013-05-17 14:18 CFOU Note Added: 0003149
2013-05-17 14:19 CFOU Note Edited: 0003149 View Revisions
2013-05-17 14:26 tomse Note Added: 0003150
2013-05-17 14:37 CFOU Note Added: 0003151
2013-05-17 15:15 tomse Note Added: 0003152
2013-05-17 15:27 CFOU Note Added: 0003153
2013-05-17 15:45 tomse Note Added: 0003154
2013-05-17 15:49 CFOU Note Added: 0003155
2013-05-17 15:55 CFOU Note Added: 0003156
2013-05-17 16:01 tomse Note Added: 0003157
2013-05-17 17:05 Retroplay Note Added: 0003158
2013-05-17 18:29 CFOU Note Added: 0003164
2013-05-17 18:37 Retroplay Note Added: 0003165
2013-05-17 18:50 CFOU Note Added: 0003167
2013-05-17 19:18 CFOU File Added: HugoMine-BetaImager.lha
2013-05-17 19:25 CFOU Note Added: 0003168
2013-05-17 19:26 CFOU Note Edited: 0003168 View Revisions
2013-05-17 19:27 CFOU Note Edited: 0003168 View Revisions
2013-05-17 19:36 tomse Note Added: 0003169
2013-05-17 19:47 CFOU Note Added: 0003171
2013-05-17 20:02 CFOU File Added: HugoMine-NewInstaller-beta.lha
2013-05-17 20:05 CFOU Note Added: 0003172
2013-05-17 20:05 CFOU Note Edited: 0003171 View Revisions
2013-05-17 20:06 CFOU Note Edited: 0003172 View Revisions
2013-05-17 20:09 CFOU Note Edited: 0003171 View Revisions
2013-05-17 20:11 CFOU Note Edited: 0003172 View Revisions
2013-05-17 20:24 CFOU Note Edited: 0003167 View Revisions
2013-05-18 09:44 tomse Note Added: 0003188
2013-05-18 09:47 tomse Note Edited: 0003188 View Revisions
2013-05-18 10:56 tomse Note Added: 0003190
2013-05-18 14:29 CFOU Note Added: 0003192
2013-05-18 14:43 tomse Note Added: 0003193
2013-05-18 15:14 CFOU Note Added: 0003194
2013-05-18 15:14 CFOU Note Edited: 0003194 View Revisions
2013-05-18 15:35 CFOU File Deleted: HugoMine-BetaImager.lha
2013-05-18 15:35 CFOU File Deleted: HugoMine-NewInstaller-beta.lha
2013-05-18 15:36 CFOU File Added: HugoMine-RAwdicBeta2.lha
2013-05-18 15:39 CFOU Note Added: 0003195
2013-05-18 15:39 CFOU Note Edited: 0003195 View Revisions
2013-05-18 16:27 tomse Note Added: 0003197
2013-05-18 16:39 CFOU Note Added: 0003198
2013-05-18 17:13 CFOU File Added: TEST-RAW.lha
2013-05-18 17:19 CFOU Note Added: 0003199
2013-05-18 17:20 CFOU Note Edited: 0003199 View Revisions
2013-05-18 17:21 CFOU Note Edited: 0003199 View Revisions
2013-05-18 17:56 CFOU File Added: TEst2ListSync.lha
2013-05-18 17:58 CFOU Note Added: 0003200
2013-05-18 18:00 CFOU Note Edited: 0003200 View Revisions
2013-05-19 01:35 CFOU File Added: HugoMine-installer-beta3.lha
2013-05-19 01:39 CFOU Note Added: 0003203
2013-05-19 11:55 tomse Note Added: 0003205
2013-05-19 13:01 CFOU Note Added: 0003208
2013-05-19 13:01 CFOU Note Edited: 0003208 View Revisions
2013-05-19 13:13 CFOU Note Added: 0003209
2013-05-19 14:09 tomse Note Added: 0003210
2013-05-19 14:14 tomse Note Edited: 0003210 View Revisions
2013-05-19 14:23 tomse Note Edited: 0003210 View Revisions
2013-05-19 14:24 tomse Note Edited: 0003210 View Revisions
2013-05-19 15:50 CFOU Note Added: 0003211
2013-05-19 16:09 CFOU Note Edited: 0003211 View Revisions
2013-05-19 16:26 CFOU Note Edited: 0003211 View Revisions
2013-05-19 16:30 CFOU File Deleted: HugoMine-RAwdicBeta2.lha
2013-05-20 10:04 tomse Note Added: 0003213
2013-05-20 14:19 CFOU Note Added: 0003214
2013-05-20 14:40 tomse Note Added: 0003215
2013-05-20 14:55 CFOU Note Added: 0003216
2013-05-21 00:58 CFOU Note Added: 0003220
2013-05-21 08:18 tomse Note Added: 0003221
2013-05-21 15:17 CFOU Note Added: 0003223
2013-05-21 15:34 tomse Note Added: 0003224
2013-05-21 20:51 CFOU Note Added: 0003230
2013-05-21 21:42 CFOU File Deleted: HugoMine-installer-beta3.lha
2013-05-21 21:42 CFOU File Deleted: TEst2ListSync.lha
2013-05-21 21:42 CFOU File Deleted: TEST-RAW.lha
2013-05-21 21:43 CFOU File Added: HugoImagerB4&B5.lha
2013-05-21 21:48 CFOU Note Added: 0003233
2013-05-22 15:21 CFOU Note Edited: 0003230 View Revisions
2013-05-23 16:55 tomse Note Added: 0003246
2013-05-23 21:15 CFOU Note Added: 0003248
2013-05-23 21:25 CFOU Note Edited: 0003248 View Revisions
2013-05-24 00:47 CFOU File Added: Hugo-TEst3-Disk1Escom.lha
2013-05-24 00:52 CFOU Note Added: 0003252
2013-05-24 00:53 CFOU Note Edited: 0003252 View Revisions
2013-05-24 00:54 CFOU Note Edited: 0003252 View Revisions
2013-05-24 14:31 tomse Note Added: 0003253
2013-05-24 18:02 CFOU File Added: Test3bis.lha
2013-05-24 18:05 CFOU Note Added: 0003254
2013-05-24 21:38 tomse Note Added: 0003255
2013-05-24 23:19 CFOU File Added: TEst3-tri.lha
2013-05-24 23:26 CFOU Note Added: 0003256
2013-05-24 23:46 tomse Note Added: 0003257
2013-05-24 23:59 CFOU Note Added: 0003258
2013-05-25 00:03 CFOU File Added: TEst3Qua.lha
2013-05-25 00:05 CFOU Note Added: 0003259
2013-05-25 00:06 CFOU Note Edited: 0003259 View Revisions
2013-05-25 09:43 tomse Note Added: 0003260
2013-05-25 13:29 CFOU Note Added: 0003261
2013-05-25 13:54 tomse Note Added: 0003262
2013-05-25 14:00 tomse Note Edited: 0003262 View Revisions
2013-05-25 19:11 CFOU Note Added: 0003263
2013-05-25 19:40 CFOU File Added: Test3Quiter.lha
2013-05-25 19:41 CFOU Note Added: 0003264
2013-05-25 20:06 CFOU Note Edited: 0003264 View Revisions
2013-05-25 22:07 tomse Note Added: 0003265
2013-05-25 22:36 tomse Note Edited: 0003265 View Revisions
2013-05-26 09:50 tomse Note Added: 0003266
2013-05-29 12:37 CFOU Note Added: 0003268
2013-05-29 12:58 CFOU Note Added: 0003269
2013-05-29 13:46 CFOU File Added: TEst4.lha
2013-05-29 13:47 CFOU Note Added: 0003270
2013-05-29 15:45 tomse Note Added: 0003272
2013-05-29 16:27 CFOU Note Added: 0003273
2013-05-30 22:30 tomse Note Added: 0003280
2013-05-31 11:10 tomse Note Added: 0003281
2013-05-31 12:35 CFOU Note Added: 0003282
2013-05-31 14:35 tomse Note Added: 0003283
2013-05-31 19:33 CFOU Note Added: 0003285
2013-05-31 19:35 CFOU Note Edited: 0003285 View Revisions
2013-05-31 19:36 CFOU Note Added: 0003286
2013-06-01 11:12 tomse Note Added: 0003287
2013-06-07 19:28 CFOU Note Added: 0003334
2013-06-07 21:16 tomse Note Added: 0003335
2013-06-08 19:49 CFOU Note Added: 0003337
2013-06-09 10:19 tomse Note Added: 0003338
2013-06-09 13:04 CFOU Note Added: 0003339
2020-01-13 00:44 CFOU Status assigned => closed
2020-01-13 00:44 CFOU Note Added: 0007648
+Issue History